GET https://api.ap1.datadoghq.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.ap2.datadoghq.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.datadoghq.eu/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.ddog-gov.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.us2.ddog-gov.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.uk1.datadoghq.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.datadoghq.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.us3.datadoghq.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id} https://api.us5.datadoghq.com/api/v2/experiments/metric-sql-models/{metric_sql_model_id}
Overview Get a metric SQL model. Returns a single model by its ID for the organization, including its subject types, measures and properties.
This endpoint requires the product_analytics_metrics_read permission.
OAuth apps require the product_analytics_metrics_read authorization scope to access this endpoint.
Arguments Path Parameters metric_sql_model_id [required ]
The UUID of the metric SQL model.
Query Strings Optional fields to include. Repeat this parameter to request several fields. counts adds metric_count
and experiment_count.
Response OK
Response containing the metric SQL model.
Expand All
JSON:API resource containing the metric SQL model identity and fields.
Details of the metric SQL model.
Time when this resource was certified.
Time when this resource was created.
SQL column used to partition the source data by date.
Text that explains the metric SQL model.
Read-only measure ID. Pass it as warehouse_metric_measure.id when the metric operation is count.
Number of experiments that reference this resource.
Whether this resource has been certified.
Measures available from the SQL model's result columns.
Name of the SQL result column that supplies this measure.
Data type of a column in the SQL model.
Allowed enum values: STRING,INTEGER,FLOAT,BOOLEAN,DATE,TIMESTAMP
Text that explains the measure.
Metadata retained for resources imported from another system.
Display name of the measure.
Number of metrics that use this SQL model.
Metadata retained for resources imported from another system.
Display name of the metric SQL model.
Property columns exposed by the SQL model.
Name of the SQL result column that supplies this measure.
Data type of a column in the SQL model.
Allowed enum values: STRING,INTEGER,FLOAT,BOOLEAN,DATE,TIMESTAMP
Text that explains the measure.
Metadata retained for resources imported from another system.
Display name of the measure.
SQL query that produces the model's source data.
Subject types mapped to columns in the SQL model.
Name of the SQL result column that identifies subjects of this type.
ID of the subject type used by this configuration.
unique_subject_count_measure_id
Read-only measure ID. Pass it as warehouse_metric_measure.id when the metric operation is uniqueSubjects.
SQL column that supplies the event timestamp.
Time when this resource was last updated.
ID of the metric SQL model.
Metric SQL models resource type.
Allowed enum values: metric-sql-models
default: metric-sql-models
{
"data" : {
"attributes" : {
"created_at" : "2024-01-01T12:00:00Z" ,
"event_count_measure_id" : "550e8400-e29b-41d4-a716-446655440024" ,
"is_certified" : false ,
"measures" : [
{
"column_name" : "revenue" ,
"column_type" : "FLOAT" ,
"id" : "550e8400-e29b-41d4-a716-446655440021" ,
"name" : "revenue"
}
],
"name" : "Order facts" ,
"properties" : [
{
"column_name" : "item_type" ,
"column_type" : "STRING" ,
"id" : "550e8400-e29b-41d4-a716-446655440023" ,
"name" : "item_type"
}
],
"sql" : "SELECT user_id, order_id, item_type, revenue, created_at FROM analytics.orders" ,
"subject_types" : [
{
"column_name" : "user_id" ,
"subject_type_id" : "550e8400-e29b-41d4-a716-446655440010" ,
"unique_subject_count_measure_id" : "550e8400-e29b-41d4-a716-446655440022"
}
],
"timestamp_column" : "created_at" ,
"updated_at" : "2024-01-01T12:00:00Z"
},
"id" : "550e8400-e29b-41d4-a716-446655440020" ,
"type" : "metric-sql-models"
}
} Malformed metric SQL model ID (not a valid UUID), or unknown include value.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Missing or invalid authentication.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Authenticated caller lacks the product_analytics_metrics_read permission.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} No metric SQL model with this ID exists for the organization.
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors" : [
{
"detail" : "Missing required attribute in body" ,
"meta" : {},
"source" : {
"header" : "Authorization" ,
"parameter" : "limit" ,
"pointer" : "/data/attributes/title"
},
"status" : "400" ,
"title" : "Bad Request"
}
]
} Too many requests
{
"errors" : [
"Bad Request"
]
} Code Example Copy
# Path parameters export metric_sql_model_id = "550e8400-e29b-41d4-a716-446655440000" # Use a Personal Access Token or Service Access Token export DD_BEARER_TOKEN = "<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>" # Curl command curl -X GET "https://api.ap1.datadoghq.com "https://api.ap2.datadoghq.com "https://api.datadoghq.eu "https://api.ddog-gov.com "https://api.us2.ddog-gov.com "https://api.uk1.datadoghq.com "https://api.datadoghq.com "https://api.us3.datadoghq.com "https://api.us5.datadoghq.com /api/v2/experiments/metric-sql-models/${metric_sql_model_id} " \
-H "Accept: application/json" \
-H "Authorization: Bearer ${DD_BEARER_TOKEN} "